package com.iden.bms.face;


import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * 定时读取目录下图片，调用人脸识别引擎，把特征码入库
 */
@Configuration
@EnableScheduling
@EnableAsync
public class FaceIdenSchedule {

    @Resource
    private FaceIdenService faceIdenService;


    /**
     * 处理摄像头上传的图像
     */
    @Async
    @Scheduled(cron = "10 0/5 * * * ?")
    public void handleCameraImage() {
        try {
            faceIdenService.handleCameraImage();
        } catch (Exception e) {
            e.getMessage();
        }
    }


    /**
     * 处理摄像头上传的视频
     */
    @Async
    @Scheduled(cron = "20 0/5 * * * ?")
    public void handleCameraVideo() {
        try {
            faceIdenService.handleCameraVideo();
        } catch (Exception e) {
            e.getMessage();
        }
    }


}
